Welcome to the Monkey's Audio Interface Help

Welcome to the HELP file for the Windows interface of
Monkey's Audio
the lossless audio compressor

Tutorials

  1. What do the buttons do?
  2. Compress one WAV file
  3. Decompressing stuff
  4. Convert stuff

Interface Reference

Working Modes Compression Modes
I. Functions
  • Add Files & Add Folder
  • Remove & Clear Filelist
  • File Info
 II. Options
  • General
  • View
  • Output
  • Tagging

FAQ

Links

  • Basics
  • Install/Uninstall
  • General
  • Technology
  • Playback
  • Future
  • Grabbag
 Monkey's Audio Homepage
Download updates and betas

Comparison Chart

sorted by Efficiency
sorted by Compression
sorted by Speed

Credits:
HTML designed & written by Anthony Oetzmann and Mathew T. Ashland
Additional documentation by ...


Monkey Audio Interface Tutorial - The Button Bar

Back to the Main Page

What do the buttons do?

Working Mode - You say, Monkey does Compression Modes - Crunch 'em like that Files - Give me more Files - Give lots more to do Files - Don't do those Files - Clear the banana bin Files - What about playlength, filesize, bit resolution, number of channels? Options - To peel or not to peel the banana Help

A quick run down of the buttons

For a more detailed description, check out the Interface Reference.

Working Mode - You say, Monkey does | Tells Monkey Audio what to do, hence sets the working mode. You've got a choice between Compress, Decompress, Verify, Convert, Tag and Remove Tag.
Compression Modes - Crunch 'em like that | Tells Monkey Audio how to compress stuff, if it's supposed to do that. The working modes Decompress, Verify, Tag and Remove Tag will grey out this button because you're not compressing anything in those working modes.
Add Files - Give me more | Add file to the list of files, that Monkey Audio is supposed to work on. The working mode Compress lets you add files with the extension .WAV. The other working modes let you add compressed files to the filelist.
Add Folder | Add complete directories to the filelist. Again, the working mode dictates the kind of files that can be added here. Monkey Audio will recurse in to the chosen directory and add all files as well as all files in subdirectories to the filelist.
Remove Files | Removes highlighted filelist entries. You can select multiple files by holding down the CONTROL key during selection with the mouse. Select a range of filelist entries by holding down the SHIFT key during selection with the mouse or keyboard. Careful! No undo or Do you realy want to do this? dialog.
Clear Files | Clear the entire filelist. Blank slate. Careful! No undo or Do you realy want to do this? dialog.
File Info | Displays all sorts of information about the highlighted file. This includes an ID3 tag for mp3 and APE files.
Options | Access the options of Monkey Audio. They are grouped in to four sections. General, View, Output and Tagging.
Help | Link to this file, several of the Monkey Audio webpages as well as some other webpages.

Back to the Main Page


Monkey Audio Interface Tutorial - Compressing one WAV page 1

Page 1 Page 2 Page 3 Page 4
Compress

Compressing one WAV file with Monkey Audio - page 1/4

 Compress

1. What's a WAV file ?

It's a file that contains AUDIO data in some form. The audio that almost all your WAV files will consist of is normal 16 bit PCM. This is short for "Pulse Code Modulation of a resolution of 16 bits". The audio Compact Disc stores audio in two 16 bit PCM streams that are interleaved, just like a WAV file usualy is. Interleaved audio means, that we first have a bit of the left channel, then a bit of the right channel, then a bit of the left one and so on.

CD audio also comes at 44100 pieces per second of this 16bit PCM data. These pieces are called samples. For every second of audio on a CD you will therefore need 88200 samples per second for two channels, because a CD carries stereo audio. Every sample needs 16 bits of storage space, therefore we need 88200 * 16 bits = 1411200 bits per second for 16 bit PCM stereo audio.

And since 8 bits = 1 byte, it amounts to 176400 bytes per second and 10584000 bytes per minute. Since 1024 bytes = 1 kilobyte and 1024 kilobyte = 1 megabyte, this amounts to a little under 10.1 megabytes(MB) of data per minute of audio. A standard audio CD carries up to 74 minutes of audio. A 650 MB CDROM only a little over 64 minutes. This is mainly because a CDROM needs more error correction codes, which are safe guards against read erros. Audio is not as critical, and thus doesn't get as much of these safe guards. An audio CD can therefore carry 746.933 MB of pure stereo 16bit PCM audio.

Since most of you will be dealing with CD audio and because a page consisting of 'Open file, press compress' seemed boring, this little introduction to digital audio storage seemed apropriate.

go to the next page

Page 1 Page 2 Page 3 Page 4


Monkey Audio Interface Tutorial - Decompressing stuff p.1

Page 1 Page 2
Decompress

Decompressing stuff with Monkey Audio - page 1/2

 Decompress

1. Shopping List

I know it's obvious, but you need a file to decompress. Monkey Audio by default installs a couple of external compressors along with its own stuff. It does not bring along the four lossy compressors, which also decompress their compressed files. These are Lame, MP3Enc, MP+ and OGG. Therefore, if you wish to decompress a file that one of those culprits spat out, you'll have to gather up those compressors and place them in the installdir\external directory. If you haven't changed the default installation direcotry upon installing Monkey Audio, the installdir is c:\program files\Monkey's Audio.

First select Decompress in the Mode menu. Mode set to Decompress You can also select Decompress via the standard pulldown menu Mode/Decompress

Click on Add Files to pick the file or files you'd like to decompress (calling it unpack seems unfitting, because we're not dealing with archives that carry multiple files).

Check the Options to see where your decompressed stuff is going and to make shure the original compressed file is not deleted after Monkey Audio is finished with it. If you have no idea what the Options mean, go check out the Compression Tutorial right now.

now go to the next page

Page 1 Page 2


Monkey Audio Interface Tutorial - Converting stuff - page 1

Page 1 Page 2
Convert

Converting stuff with Monkey Audio - page 1/2

 Convert

1. Why ?

Suppose you have a few .APE files(a file with the .APE file extension is a file compressed with one of the Monkey Audio compression routines Fast, Normal, High or Very High). You might want an MP3 version of the files. Normally you'd decompress all the files and then compress them with your favorite mp3 encoder.

If you're using LAME or MP3ENC, you're in luck because Monkey Audio can convert those .APE files to MP3 form by decompressing one file at a time and then encoding that decompressed file in to an MP3 file with a chosen MP3 encoder. Actualy you can pick any compression mode to be used for the output.

The Convert mode is the same as the Decompression mode, except that it doesn't except WAV files as input, but all the compresed formats you can produce with Monkey Audio.

Please note:
Drag and Drop'ing of APE files works, but everything else needs to be added to the filelist via the Add Files button or menu item.

First you need to select the Convert working mode.

The icon should now look like this Convert

go to the next page

Page 1 Page 2


Monkey Audio Interface Reference - Working Mode

Monkey Audio's

Working Modes

Function Details on the page Shortcut

Compress

         Compress - What can be compressed
- Error messages
CTRL + 1

Decompress

         Decompress - What formats can you decompress
- Error messages
CTRL + 2

Verify

         Verify - Why, how, results and errors
CTRL + 3

Convert

         Convert - What formats does it take and convert
- Problems
- Error messages
CTRL + 4

Tag

         Tag - Tag team tagging
- Setting examples
CTRL + 5

Remove Tag

         Remove Tag - simple stuff, like removing tags
CTRL + 6

Compression Level

         - see Compression Modes


Monkey Audio Interface Reference - Working Mode - Compress

Monkey Audio's
Working Mode

Compress

Function

 Compress files in the filelist box.

File Types

 8,16 or 24 bit PCM WAV
1 or 2 channels
any sample frequency

Shortcut
CTRL + 1


Monkey Audio Interface Reference - Working Mode - Decompress

Decompress Monkey Audio's
Working Mode

Decompress

 Decompress

Function

 Decompress files in the filelist box.

File Types
(via Drag'n Drop)

 APE - Files compressed by one of Monkey Audio's internal compressors Fast, Normal, High or Very High
Note: To decompress files from older Monkey Audio versions with the .MAC filename extension, use the renaming utility provided with Monkey Audio to rename them to have the .APE extension.

File Types
(via Add Files)

 All compressed formats supported in the compression modes.
Right now they are (required decoder):
.ape(Monkey's Audio), .shn(Shorten), .wv(Wavpack), .rka(Rkau), .mp3(LAME), .mp+(Mp+ decoder) & .ogg(Ogg decoder)

Shortcut
CTRL + 2

Error Mesages

 fillintheblanksMatt


Monkey Audio Interface Reference - Working Mode - Verify

Verify Monkey Audio's
Working Mode

Verify

 Verify

Function

 Verify file integrity by running a hash algorythem over the compressed file and see if the result matches the CRC checksum stored in the compressed file at compression time.

File Types

 currently only APE - Files compressed by one of Monkey Audio's internal compressors Fast, Normal, High or Very High

Shortcut
CTRL + 3

Error Mesages

 fillintheblanksMatt


Monkey Audio Interface Reference - Working Mode - Convert

Convert Monkey Audio's
Working Mode

Convert

 Convert

Function

 Convert a compressed file, that Monkey Audio supports through either its internal routines or an external decoder, in to another compression format, that Monkey Audio supports through either its internal routines or an external encoder

File Types
(Input - Drag'n'Drop)

 APE - Files compressed by one of Monkey Audio's internal compressors Fast, Normal, High or Very High

File Types
(Input - via Add Files)

 All compressed formats supported in the compression modes.
Right now they are (required decoder):
.ape(Monkey's Audio), .shn(Shorten), .wv(Wavpack), .rka(Rkau), .mp3(LAME), .mp+(Mp+ decoder) & .ogg(Ogg decoder)

File Types
(Output)

 All compressed formats supported in the compression modes.
Right now they are (required encoder):
.ape(Monkey's Audio), .shn(Shorten), .wv(Wavpack), .rka(Rkau), .mp3(LAME), .mp+(Mp+ decoder) & .ogg(Ogg decoder)

Shortcut
CTRL + 4

Error Mesages

 fillintheblanksMatt


Monkey Audio Interface Reference - Working Mode - Tag

Tag Monkey Audio's
Working Mode

Tag

 Tag

Function

 Write or change any fields of an ID3 tag in .APE and .MP3 files.

File Types
(Input - Drag'n'Drop)

 APE - Files compressed by one of Monkey Audio's internal compressors Fast, Normal, High or Very High

File Types
(Input - via Add Files)

 .APE and .MP3 files. You can add other formats too, but Monkey Audio will tell you it only supports .APE and .MP3 files once you hit the Mode button.

Shortcut
CTRL + 5

Error Mesages

 fillintheblanksMatt


Monkey Audio Interface Reference - Working Mode - Remove Tag

Remove Tag Monkey Audio's
Working Mode

Remove Tag

 Remove Tag

Function

 Remove all fields of an ID3 tag in .APE and .MP3 files.

File Types
(Input - Drag'n'Drop)

 APE - Files compressed by one of Monkey Audio's internal compressors Fast, Normal, High or Very High

File Types
(Input - via Add Files)

 .APE and .MP3 files. You can add other formats too, but Monkey Audio will tell you it only supports .APE and .MP3 files once you hit the Mode button.

Shortcut
CTRL + 6

Error Mesages

 fillintheblanksMatt


Monkey Audio Interface Reference - Compression Modes

Monkey Audio's

Compression Modes

Compression Mode Features

Monkey's Audio
(Fast,Normal,High,ExtraHigh)

         Monkey's Audio Fast
Monkey's Audio Normal
Monkey's Audio High
Monkey's Audio Extra High 		- Four compression modes
- all lossless
- usualy best compression

Wavpack
(External)

         Wavpack (External) - three compression modes
- lossless
& lossy(unsupported in Monkey Audio)
- very good compression

Rkau
(External)

         Rkau (External) - three compression modes
- lossless
& lossy(unsupported in Monkey Audio)
- exellent compression
but very slow

Shorten
(External)

         Shorten (External) - one lossless compression mode
- lossless
& lossy(unsupported in Monkey Audio)
- exellent compression
best on quiet files

Lame
(External)

         Lame (External) - MP3 encoder
- lossy compression
- loads of bitrates possible

MP3Enc
(External)

         MP3Enc (External) - MP3 encoder
- lossy compression
- loads of bitrates possible
- best low bitrate mp3 encoder
- Frauenhofer codec

MP+
(External)

         MP+ (External) - MP+ encoder
- lossy compression
- loads of bitrates possible

Ogg
(External)

         Ogg (External) - Ogg encoder
- lossy compression
- loads of bitrates possible
- first totally free mp3-like format


Monkey Audio Interface Reference - Compression Mode - Monkey's Audio

Monkey Audio's
Compression Modes

Monkey's Audio

Compression Types | Lossless only
Supported Modes | Fast, Normal, High & Extra High Note: There are a couple of things to keep in mind when choosing a compression level. First off, higher compression always comes at the cost of speed - this means during compression, decompression, and playback. For this reason, it may not always be the best to simply pick "high" or "extra high." "Normal" is a pretty good trade-off between speed and compression. The jump from "normal" to "high" only saves around 6mb on a full audio CD. This savings may not be worth the extra time involved. The jump from "high" to "extra high" is even bigger, and only saves another few mb's a CD. This mode is only recommended when compression is totally crucial. Also, if you listen to your music while you use your computer, you may want to keep in mind the CPU usage differences between the options.
Positive | fast very good compression preserves ALL external data in a WAV file Tagging supports ALL sample frequencies supports 8,16 & 24 bit WAV files free
Negative | - if you find any, let me know
Included in Monkey Audio distribution ? | I dunno. What do you think?
Homepage | Monkey's Audio - http://www.monkeysaudio.com Email the author of Monkey Audio, Mathew T.Ashland at email@monkeysaudio.com


Monkey Audio Interface Reference - Compression Mode - Lame (external)

Monkey Audio's
Compression Modes

Lame
(external)

Compression Types | Lossy
Supported Modes any as defined by commandline switches

If you'd like clearer controls, you may want to try another frontend.
Here are some example settings:
Very high Quality Stereo | -b 128 -k -m s -h -c -V 1 -B 320
High Quality Stereo | -b 96 -m s -h -c -V 4 -B 256
Good Quality Joint Stereo | -b 96 -m j -h -c -V 5 -B 192
Low Quality Mono Voice | -b 24 -m m -h -c -V 7 -B 32 --resample 22.05 --lowpass 11
Positive completly free (GPL)
it's MP3
very good compression ratio(due to lossy encoding)
highly configurable
exellent VBR MP3 encoding
Negative lossy encoding, which makes it bad for preserving CD content
slow - around 2xspeed encoding on a 600MHz Athlon
Included in Monkey Audio distribution ? | no
Homepage Lame Project Homepage - http://www.mp3dev.org
Lame Project Homepage Mirror - http://lame.sourceforge.net
Lame win32 compiles - www.chat.ru/~dkutsanov/
Razorlame (an exellent Windows frontend for Lame) - www.dors.de/razorlame/


Monkey Audio Interface Reference - Compression Mode - MP3Enc (external)

Monkey Audio's
Compression Modes

MP3Enc
(external)

Compression Types | Lossy
Supported Modes | any as defined by commandline switches For 128kbps encoding the Frauenhofer codec may be superior, but for VBR encoding it is recommended to go with the Lame encoder.
Positive | it's MP3 very good compression ratio(due to lossy encoding)
Negative | commercial and quite expensive lossy encoding, which makes it bad for preserving CD content slow - around 2xspeed encoding on a 600MHz Athlon not so good VBR MP3 encoding if supported at all,Lame is better there
Included in Monkey Audio distribution ? | no
Homepage | -


Monkey Audio Interface Reference - Compression Mode - MP+ (external)

Monkey Audio's
Compression Modes

MP+
(external)

Compression Types | Lossy
Supported Modes | "standard" by default and any as defined by commandline switches You can manipulate settings considerably with the expert settings or go simple with the five profiles. These are: -thumb , -radio , -standard , -xtreme & -insane Simply enter one of those in to the commandline dialogue box of the Configure setting of MP+ Compression Mode.
Positive | free (for now) very good compression ratio(due to lossy encoding) highly(!) configurable very good VBR encoding
Negative | lossy encoding, which makes it bad for preserving CD content slow - around 2xspeed encoding on a 600MHz Athlon
Included in Monkey Audio distribution ? | no
Homepage | Homepage - to be found Email the author at andbusch@stud.uni-hannover.de


Monkey Audio Interface Reference - Compression Mode - Ogg (external)

Monkey Audio's
Compression Modes

Ogg
(external)

Compression Types | Lossy
Supported Modes | 128kbps or any as defined by commandline switches There are six modes available right now. 112,128,160,192,256, and 350 kbps for 44.1kHz stereo files(for mono files halve those figures). Choose any bitrate by e.g. adding "-b 112" to the commandline in the configure dialogue of OGG in Monkey Audio.
Positive | completly free (GPL) patent free very good compression ratio(due to lossy encoding) easy to use good quality vBR encoder and getting better all the time (I refer to the 1.0 beta4 here)
Negative | lossy encoding, which makes it bad for preserving CD content slow - around 2-3xspeed encoding on a 600MHz Athlon
Included in Monkey Audio distribution ? | no
Homepage | www.xiph.org


Monkey Audio Interface Reference - Compression Mode - Rkau (external)

Monkey Audio's
Compression Modes

Rkau
(external)

Compression Types | Lossless and Lossy
Supported Modes | fast, normal and high none of the lossy modes are supported
Positive | very good compression tagable free
Negative | slow loses ALL external data in a WAV file
Included in Monkey Audio distribution ? | yes
Homepage | rksoft.virtualave.net/index.html Email the author at mtaylor@clear.net.nz


Monkey Audio Interface Reference - Compression Mode - Wavpack (external)

Monkey Audio's
Compression Modes

Wavpack
(external)

Compression Types | Lossless & Lossy
Supported Modes | Fast - uses non-adaptive, non-searching algorithm Normal High - best lossless Lossy modes are NOT supported in Monkey Audio by default. You can provide additional commandline switches via the Configure option in the compression mode selection of Wavpack, and thereby select lossy compression modes. "-bn" will enable lossy compresion, 'n' is bits/sample (n = 4-15)
Positive | fast good compression preserves ALL external data in a WAV file free
Negative | Not the best compression no tagging
Included in Monkey Audio distribution ? | yes
Homepage | Wavpack Homepage - http://www.wavpack.com Email the author of Wavpack, David Bryant at david@wavpack.com


Monkey Audio Interface Reference - Compression Mode - Shorten (external)

Monkey Audio's
Compression Modes

Shorten
(external)

Compression Types | Lossless and Lossy
Supported Modes | default lossless mode no lossy modes are supported
Positive | fast average to good compression preserves ALL external data in a WAV file portable(available on most systems)
Negative | far from the best compression ratio encoding(compressing) not free for commercial use complicated commandline settings for tweaking compression results
Included in Monkey Audio distribution ? | yes
Homepage | Etree - etree.org/software/


Monkey Audio Interface Reference - Options - Tagging

Tagging
Options

You'll find four sections here. Let's take a close look at them. Find out about

Auto Tagging

Tagging Setup

File Renaming 		Tagging Options
back to the top

Auto Tagging

Perform tagging operations automatically upon encoding WAV pcm files to Monkey Audio.
back to the top

Tagging Setup

Tagging Setup

There's a little Help button on that page that explains how tagging works in Monkey's Audio. Check that out. We're assuming you've got the application running :).
back to the top

File Renaming

File Renaming

This allows you to set the filename of the Monkey Audio file (extension .ape by the way). If you don't want the filename of the compressed file to be any different from the orignal WAV file, leave the box left of "Rename files on tag" unchecked.


Monkey Audio Interface Reference - Options - Output

Output
Options

You'll find four sections here. Let's take a close look at them. Find out about

Output Location

If Output File Exists

After Successful Operation

Filetimes 		Output Options
back to the top
Output Location

Output Location

You can pick one of these:

-= Output to same directory as source files =-
The directory and drive that the file being processed came from will be used to write the new file. This requires that medium to be writable, so it won't work when the file in the filelist originates off a CD-ROM. This will produce an error for that filelist entry.

-= Output to specified directory =-
Decompressing stuff off read-only media needs to be done with this. Simply select this option and then hit the browse button to pick your target directory. Of course you can enter the directory by hand as well. Monkey Audio will remember all the directories you've previously entered too. They are selectable via a dropdown menu by click on that little down arrow to the left side of the browse button.
back to the top

If Output File Exists

If Output File Exists

Determines Monkey Audio's behaviour, in case an the output Monkey Audio produces is to be written to a location of a medium in which a file of the same name exists.

-= Skip File(s) =-
Move on to the next entry in the filelist or end operation if it was the last entry. This will discard any work Monkey Audio has done.

-= Rename Output File(s) =-
Give our new file a different name, by adding an index. filename will become filename (1).

-= Overwrite Output File(s) =-
Roll over that file that dares go by the same name.
back to the top

After Successful Operation

After Successful OPeration

Now that we're done with the source files, what do we do with it ?

-= Leave source file(s) intact =-
Don't touch them. This could drain some space out of your harddrive, but it's better to be safe than sorry. We do advise to do a Verify operation on your compressed files.

-= Recycle source file(s) =-
Stuff 'em in to the recycle bin. If you have a limit set, as to how much your trashcan can take, be careful. Again, it is advised to run a verify operation over the files.

-= Permanently erase source file(s) =-
Gone. Out for the count. Kaputt. Fini. On the other hand you can drain a few hours out of your life restoring files with a disk scanner like Lost&Found. Therefore, if you have a iota of doubt about file safety, pick the first option.
back to the top

File Times

File Times

Check this box and Monkey Audio will give each new file the timestamp of its source file. If unchecked, the system time is used instead.


Monkey Audio Interface Reference - Options - General

General
Options

You'll find five sections here. Let's take a close look at them. Find out about

Application Priority

Save File List

Shell Extension

Winamp Plugin

Completion Sound 		General Options
back to the top
Application Priority

Application Priority

This lets the system know, how much processor time it will give to Monkey Audio. Now before you run off and give it Realtime priority, let's take a look what these settings actualy mean.

-= Realtime =-
Monkey Audio now owns your computer for as long as it is doing anything more than drawing graphics. Once you tell Monkey Audio to do something with a function, you'll be unable to use any other application that is currently running on your system. Don't do this.

-= High =-
Windows will now think Monkey Audio is special. So special in fact, that it won't care about anything else but the most basic tasks on your system, like keyboard and mouse input. But you won't be able to run Photoshop while Monkey Audio is crunching numbers, unless you like to count redraw frames manualy with with each passing tune of the Depeche Mode album you're playing.

-= Normal =-
Nothing special. Windows tries to give Monkey Audio an equal amount of CPU time as the rest of the scum running on your system. This is ok, but not as safe as the last setting.

-= Idle =- (recommended)
Now you're thinking "Monkey Audio now only gets the left overs of the CPU time!" and you'd be right, but this does have advantages. Monkey Audio likes your CPU but you don't want it breathing away your other applications CPU time. So this setting tells Windows to give it everything it can spare and that's a LOT, if all you're doing is playing MP3 and writing a document for example. You should use this setting if you can.
back to the top

Save File List

Save File List

The options description Save List Between Sessions pretty much says it all. If unchecked, you lose the filelist you put together for your current function. The next time Monkey Audio is started this list will be back if you check this option.
back to the top

Shell Extensions

Shell Extensions

The two buttons install and remove Shell Extensions that let you use Monkey Audio on files from any system conform application that lets you access context sensitive menus of files. The Explorer is one such application, but most Windows filemanagers are conform too.

There, move your mouse over the filename and hit the right mouse button. You'll have two new choices in this context sensitive menu, namely "Add to Monkey's Audio" and "File Info (MAC)".
back to the top

Winamp Plugin

Winamp Plugin

It's unlikely, but some poor souls might have chosen not to install the Winamp plugin at the time they installed Monkey Audio. Well here's your chance to remedy that! Hit the button and play your MAC (Monkey Audio Compressed) files in Winamp. Won't you be glad you did.
back to the top

Completion Sound

Completion Sound

Some people like to hear their personal cave anthem when important tasks are finished. Well, here you get the chance to play a file named "Completion Sound.wav" after Monkey Audio finishes its important tasks for you. The sound you get when you install Monkey Audio is , naturally enough, the triumphant roar of a little monkey. To play something else, just place a WAV named "Completion Sound.wav" in the directory you installed Monkey Audio to.


Monkey Audio Interface Reference - Options - View

View
Options

You'll find three sections here. Let's take a close look at them. Find out about

General

Display Components

File List 		View Options
back to the top
General

General

Here you've got three choices.

-= Minimize =-
Whenever you minimize the Monkey Audio application window, either by clicking on the left-most gadget in the upper right hand corner of the application window or by hitting ALT+SPACE N, you can have Monkey Audio simply wait in the taskbar, like most applications already do, or not. The other option covers that "not" state. Pick that and Monkey Audio will hide in the System Tray, which is usualy in the lower right hand corner of your taskbar. You'll notice a new icon there, regardless of whether Monkey Audio is minimized or not. In fact you'll never see Monkey Audio appear in the taskbar anymore. Why is this option called Minimize? We just wanted to get your attention that way, and who likes to see an option called "Where does Monkey Audio show up , in the taskbar or system tray ?". Now you know.

-= Always On Top =-
Turn this on(checked box) and Monkey Audio will always be seen, unless you minimize it of course. No window can get on top. The only exception are applications that have an "Always On Top" feature too. Winamp and the Media Player are two such applications that can do this, for example.

-= Expanded Toolbar =-
Replaces the Options icon in the toolbar with four icons, that give you direct access to the four option pages. They insert themselves however, so some icons may be pushed down and the toolbar is suddenly made of two fat lines of icons.
back to the top

Display Components

Display Components

Switch two components of the application window on and off.

-= Toolbar =-
Those large icons in the application window we keep mentioning ? Get rid of them by unchecking this. You can still access all functions by using the standard windows menus.

-= Status Bar =-
The strip of information at the bottom of the application window can be turned on or off with this option. It displays helpful info realy, so I suggest you leave it on.
back to the top

File List

File List

Stuff to do with the Filelist part of the application window.

-= Watermark =-
This is not some protection sheme to mark your files. The watermark is that cute ape you see in the background of the file list area. It is slightly faded, and that's why we called this "Watermark".

You can pick one of the two internal graphics, namely that cuddly ape or a MAC logo. Or you may pick a picture of your own. The picture has to be in one of these formats : BMP (standard Windows BitMapPicture), GIF or JPG. The internal graphics are already faded, so if you'd like your own pictures to look faded too, you'll have to do that yourself and then pick it as a "Watermark" picture.

The alignment option lets you choose how the picture is placed. You can even tile it, so it repeats itself on-screen.

-= Choose Fore Color , Choose Back Color =-
Pick your text color (Fore) and background color(back).


FAQ - Basics

FAQ - Basics - FAQ

Does Monkey's Audio compress mp3's?

No. MP3's are already a compressed format, and therefore it's not possible to compress them any further. Some people have created utilities that will compress an mp3 to like 1/5 of it's size without any quality loss. However, they're either a big scam or somebody figured out how to alter the laws of the universe, and the most exciting thing they could think to do was make your mp3's smaller. You decide which is more likely.

Where's the free music?

As much as I wish Monkey's Audio kept me supplied with great new tunes for free, it doesn't. I doubt it will for you either since Monkey's Audio has nothing to do with free music. Monkey's Audio is a legitimate tool to store music that you obtained legally. In the end, piracy does us all a disservice because it forces the record industry to adopt less and less consumer friendly mediums and formats simply to keep piracy in check. In my opinion, a good CD is a bargain at $15...

I downloaded Monkey's Audio and now I can't find it. Where did it go?

Please read the help file for your web browser if you have difficulties downloading files. Also, don't feel too bad... we're all plagued by computer Gremlins from time to time.

I'm skeptical that Monkey's Audio really isn't free. Why would it be free?

MAC is just something I do for fun, and it wouldn't be fun anymore if I had to worry about money. I mean, I'd have to feel pathetic about begging for money from everyone, and then I have to feel depressed when I only made like $12 a month. In the end, free is just a lot cooler for everyone.

Will you please change the name and extension of this stupid program?

In hindsight, maybe it's a stupid name. Then again, maybe you just need to lighten up.


FAQ - Install/Uninstall

FAQ - Install/Uninstall - FAQ

What exactly is included with Monkey's Audio?

Here's a list:

Monkey's Audio.exe
the fancy Windows front-end that should make all of your monkey needs relatively painless

MAC.exe
the not-so-fancy Console front-end that lets you interface with a ton of different rippers out there (and also makes the hardcore DOS people that still hate the mouse and graphics happy)

APE Player
an open source player for APE files

QuickRenamer.exe
a quick and easy way to rename file extensions (in case a ripper only outputs .MP3's or if you need to change your .MAC files to the new .APE extension)

Help.htm
if you haven't figured this out, you're in trouble (you're reading it right now)

License.htm
the nasty legalities that you have to be subjected to so that you can use Monkey's Audio

Theory.htm
a primer on the whole idea behind lossless audio compression

SDK.htm
some documentation on how to incorporate Monkey's technology into your own product (be sure to read the license agreement if you use this)

Other stuff
MAC has a bunch of dll's and some other stuff that I'm too lazy to write about

Completion Sound.wav
if you have "Play sound on completion" turned on, this is the sound being played. You may change the sound by replacing this file.

How do I install this crazy monkey program?

Well, the best place to look for an explanation of this is on the webpage, right next to where you download it from. Quickly though, you download the installation file that's right for your machine, then double-click on this file to install Monkey's Audio. The directory you pick to extract the files to is the permanent directory for Monkey's Audio, so keep this in mind. A common choice might be "C:\Program Files\Monkey's Audio" or "C:\Program Files\Multimedia Tools\Monkey's Audio" or whatever else. From here, the installer will walk you through the rest of the installation.

Ok, I figured out that install stuff, tried the program, am sick of all the monkey business, and I want to uninstall it. What do I do?

A1: Go to the "Control Panel", "Add/Remove Programs" and look after "Monkey's Audio".

A2: Run "unins000.exe" located in your Monkey's Audio directory and answer "OK" when prompted to remove MAC.

Is there anything special I should keep in mind when upgrading?

This depends on what version you are upgrading from. Basically, if your version didn't use the INF install method (first introduced in MAC 2.80), just uninstall/erase the old version. If you're using any newer version, just install over the previous version.

I installed a new version of the program, and the Winamp plugin doesn't work like it should.

Any time you download a new version, you need to rerun the Winamp plugin installation to update to the new version. Just click "Options->Install Winamp Plugin" from inside of MAC. (however installation should do this for you)


FAQ - General

FAQ - General - FAQ

What compression level should I use?

There are a couple of things to keep in mind when choosing a compression level. First off, higher compression always comes at the cost of speed - this means during compression, decompression, and playback. For this reason, it may not always be the best to simply pick "high" or "extra high." "Normal" is a pretty good trade-off between speed and compression. The jump from "normal" to "high" only saves around 6mb on a full audio CD. This savings may not be worth the extra time involved. The jump from "high" to "extra high" is even bigger, and only saves another few mb's a CD. This mode is only recommended when compression is totally crucial. Also, if you listen to your music while you use your computer, you may want to keep in mind the CPU usage differences between the options. For a comparison of these different compression levels, check here: Comparison

How can I make "Exact Audio Copy" (EAC) work with MAC?

A1: Start EAC and go into the compression options section (F11). Then, navigate to the "External Compression" tab. Make sure "Use external program for compression" is checked, and then pick "Xing X3Enc MP3 Encoder" from the "Parameter passing scheme" drop-down list. Then click the browse button and find the "MAC.exe" in the Monkey's Audio directory. Then, you need to put "-cXXXX" in the "Additional command line options", where XXXX is the compression level you wish to use. (fast = 1000, normal = 2000, high = 3000, extra high = 4000). Then set whether you want to add ID3 tags and whether you want to erase the original WAV's. You can ignore the bitrate, because MAC uses as many bits as it needs to remain lossless. Then rip away and EAC will compress the files as it goes. Finally, you'll need to rename the files that EAC outputs because it will name them .mp3 files. You can do this about 1000 different ways. Included with MAC is a utility name "Quick Renamer" that should make it pretty easy work.

A2: The newest EAC has built in support for MAC, so you just need to pick "Monkey's Audio Lossless Encoder" as the parameter passing scheme for the external selection, then locate MAC.exe, pick the compression mode, and the other options, and off you go.

How can I add files to MAC?

There are a few ways to add files to MAC. The easiest way may be to simply use the "add file(s)" and "add folder" buttons in the program. Monkey's Audio is also fully drag-and-drop compliant, so you can always just drag the files or folders you want to process right into Monkey's Audio. While dragging-and -dropping, it may be easier if you choose "Always on Top" from the "View" menu so that MAC doesn't disappear when you're looking in Explorer. Finally, you can install explorer extensions (from the options menu) and then right click on files and pick "Add to Monkey's Audio" from inside explorer.

What's up with the cryptic error codes when MAC pieces out? (like Error: 1300)

Well, MAC's error system isn't too great yet. I've spent more time trying to eliminate errors than trying to gracefully deal with them. For now, just remember error = bad. Really, this should get you through for the time being, but MAC's error reporting will get better as time goes on.

Is there anything special I should keep in mind when archiving music with Monkey's Audio?

It's always a good idea to archive the current version of Monkey's Audio alongside your music. This way, if Monkey's Audio changes or goes in the tank, you never lose your music. Just to reassure ya' though, Monkey's Audio ALWAYS maintains backwards compatibility. (from like version 1.80 and on...before that we just won't talk about...ok...in like the first 2 weeks MAC was public I had to make a couple of changes that broke compatibility, but it'll never happen again)

How can I associate Monkey's Audio files with Winamp, so that when I double-click on a .ape file, Winamp starts up and plays it?

First off, make sure you have the Winamp plugin installed. (you can do this through the options menu in Monkey's Audio) Then, just start Winamp, go into the preferences, find the "File Types" section, and highlight "APE". Next time Winamp starts, it should associate itself with APE files. (note: starting with version 2.90, this should be done automatically upon installation)

Monkey's Audio won't start (I keep getting errors), what should I do?

Your settings file may have gotten corrupted. Try erasing the file "settings.dat" in your Monkey's Audio folder, and restarting the program. If this doesn't fix it, email the author and complain.


FAQ - Technology

FAQ - Technology - FAQ

Why would I use MAC when mp3's are like 1/5 the size?

This just depends. I've said it a lot, but here it goes again: if you're a huge audiophile, in a hurry, or just anal, MAC is a great tool for you. Otherwise, if you don't mind a little quality loss, use mp3.

Why compress at all if the files are only like 1/2 of their original size?

Assuming hard drive space is unlimited (and it never is), MAC offers a few nice advantages over uncompressed .WAV files:

Error detection
there is no way to know if a WAV file is messed up, which is sort of a major downer
Tagging
MAC lets you tag the APE files so that you can easily manage and catalogue them (or just keep the info about them in a convenient place)
Normalizing
MAC can optionally normalize during playback so that all your music reaches the same peak level. (this is nice if you're like me and listen to Bach next to Metallica next to Janis Joplin)

What is this crazy normalize feature?

It's really pretty simple: for whatever reason, every song has a different peak volume. Like the previous example, Janis Joplin's Greatest Hits only ever gets to like 1/2 of the max volume allowed by a CD. So, even though a 16-bit WAV can hold values from like -32000 to 32000, the highest number in a Janis song is like 15000. What MAC does is store that number (15000) and then scale the song during playback so that it uses the full +-32000. This has a nominal effect on CPU usage, no effect on compression, and no effect on MAC maintaining an exact copy of the original. It just makes it so all your music will play with the same peak level if you want it to, so you don't have to fiddle with the volume knob all the time. Also, this feature in no way impairs the dynamic range of the music.

Why do you use VB, it sucks!

Well, whatever you say..but just so people know, all the "real" work that MAC does is programmed in C++. Only the "pretty" front-end is done with VB. This is for two main reasons:

VB is just plain easier to make a nice GUI with than C++
VB is more conducive to monkey pictures (don't ask why)

How about some spiffy MMX or 3DNow! or SSE of whatever else optimizations?

Again, a few things:

MAC has been extensively optimized for speed (that's kind of its big selling points)
MAC only uses integer math, so floating point things like 3DNow! wouldn't really help
Actually, as of version 3.80, there's quite a bit of MMX assembly :)

Exactly what kind of files does MAC support?

For now, the list goes like this: (but it'll hopefully grow as time goes on)

Format: PCM WAVE (standard windows .wav file)
Sample Rate: anything
Bit depth: 8 or 16 or 24
Channels: 1 or 2

As a note, MAC has been tuned primarily for 44khz, 16-bit stereo music, since this is what today's CDs are.

Could you explain what's going on behind the scenes of Monkey's Audio a little bit?

Well, Monkey's Audio comes with a theory document, and this is probably a pretty good starter. (Theory.htm) Otherwise, I might recommend the theory documentation in David Bryant's WavPack(this is what first sparked my interest).

Why are the blasted tag fields so limited?

In the early days of MAC's development I made the choice to just support the popular ID3 tag format (like mp3's use) for ease and compatibility. So, I guess you'll have to direct your complaints at the "ID3-taggypoos." (as a fellow MAC user might say) Also, you can now plop ID3v2 tags onto APE files if you want, but you'll have to use 3rd party taggers.

Could you explain the error detection features in MAC?

The first thing MAC does when it compresses a frame (a small chunk of a file) is figure a 32-bit CRC for it. Then, it encodes that value at the front of the frame. When it decompresses a frame, it figures a CRC on the decompressed data and compares it to the original CRC.

This way, it compares the original data with the decompressed data. This is to say, if something is wrong in prediction (or anti-prediction) the original will not match the decompressed one.
Right now, CRC's are only used on the audio frames. In a future release, MAC will also CRC the WAV header and footer bytes also. (normally around 44 bytes a file)

Regardless, if a frame passes the CRC test, there is only about a one in billions chance of it being corrupt. If a file passes a verify, it means that all of the audio data is fully intact (every frame passed).
The only problem could ever be if there were disk I/O errors during encoding, so that what MAC thought it was supposed to encode wasn't what was really on the HD. HD's have error detection and correction, so the chances of this are about null. Also, once you enter disk I/O errors into the realm of possibilities, you can never really be safe.


FAQ - Playback

FAQ - Playback - FAQ

Winamp skips once in a while while playing APE files, what should I do?

Well, here's a list of ideas:

In the settings for the APE plugin (under Input plugins in the Winamp settings), set the decode thread priority to "Highest", and make the bit array size as small as possible. (like 256kb)

Increase the buffer of the waveout output plugin (to like 3000 or 4000 ms)...also, kick the priority up for the waveout plugin

Don't use any extra DSP, visualization, or equalizer stuff.

Buy a faster computer (just kidding...)

Would you briefly outline what you consider to be a good end-to-end solution for high quality audio on the computer?

Keep in mind that this is pretty subjective, but here's some thoughts:

Software:
There are really two major components you'll need: something to get the audio from the CD to your computer (a ripper) and something to get the audio from the computer to your ears. (a player)

Ripping
Everything starts with copying your CD's to your computer using a ripper. If perfect quality is what you want, then use EAC. It's an amazing program and a must have for anyone serious about quality. It does a lot of really great stuff that other rippers don't to ensure a perfect copy. Instead of me ineptly attempting to tell you why EAC rules, just try it for yourself.

Player
When it comes to playback, Media Jukebox is the only way to go. Media Jukebox does it all, and it does it all well. It has insanely powerful databasing tools that allow fancy categorization, browsing, and searching. It also features the most robust playback engine available, with built in gapless output and cross-fading. If you haven't given Media Jukebox a try, do it today. You won't be sorry.

Hardware
Perfect quality APE files don't do that much good if all you have is $10 speakers to listen on. Since hardware varies so much in cost and people tend to be so fervent in their convictions regarding audio hardware, I won't say too much. I'll just add a few considerations:

  1. If you want great sound, you're going to have to hook your computer to a great stereo - it's that simple.
  2. If you're going to hook your computer to your stereo, use digital connections if possible. Also, try to get a digital soundcard that doesn't resample everything.
  3. If you're on a budget, consider a decent set of headphones. They don't sound as "real" as a stereo, but they can deliver great sound at a fraction of the cost of an amp and speakers. (and they'll keep your neighbors happy)


FAQ - Future

FAQ - Future - FAQ

How about making Monkey's Audio an ACM codec?

Well, that'd be cool someday, but there are a lot of things I want to improve on Monkey's Audio before I get around to that. For now, if other software wants to support MAC, it'll have to use the SDK. Also, MAC's Winamp source code is freely available, so maybe other developers will make some headway in this department.

Ok, I want to run Monkey's Audio on a Macintosh, Linux, Apple II, Commodore 64, Playstation, Palmpilot, and my toaster. Can you help me?

Well, I think it'd be great to support other OS's with Monkey's Audio, but it'll be a while before this happens. I have no experience programming outside of the Microsoft world, and I'm not super motivated to learn. A sad fact of computer life is that if you choose to use an operating system that isn't the "standard", you can't expect to run every piece of software. Again though, I just don't know about multi-platform support. If MAC goes open source, I'm sure someone would port it. Also, I may "commission" some people out to write ports.

I want to play MAC files on things other than Winamp.

Two things:

  • Someday I hope to make an ACM codec for MAC, then you'll be able to play them anywhere
  • The source code is out there for the MAC Winamp plugin and the APE Player. It should be pretty easy for other people to make plugins for players other than Winamp, so hopefully some of these will surface in the future.

Are you going to go open-source with Monkey's Audio?

I'm still in limbo on this one. I'm a bit greedy with the code just because I've poured so much time into its development. However, I think there would be some really great stuff about open-source, but also some really stinky stuff. Sometimes, with open source, a developer spends more time describing what's already been done than moving the project ahead.

Also, some code is out there. MAC's Winamp source code is included with Monkey's Audio. I'm just kickin' back and seeing what kind of response this code gets. If I like what I see, I may be inclined to put more out.

Could you tell me about the future of Monkey's Audio?

Really,I just don't know.. I developed Monkey's Audio for fun to keep myself busy during the cold Minnesota winter, and it has been a lot of fun. For now, my main focus is to make Monkey's Audio the best I can while having a good time. I don't have any master-plans or anything like that - it's just a hobby I do for fun.

Why doesn't Monkey's Audio do X or have feature Y?

Probably because I haven't thought of it. If you have a good idea, send it to me at email@monkeysaudio.com I really love getting email and suggestions.


FAQ - Grabbag

FAQ - Grabbag - FAQ

Why don't you have any dancing monkeys?

I'd love some, but I'm not much of an artist…if anybody out there would ever contribute some cool art or animations, that would be great.

Is it true that you're really more partial to Firebirds than Mustangs? (from my brother)

Absolutely, I'm partial to all 75hp more!

What's all this crazy talk about PolkaMonkey? 10:1 lossless compression of Polka...sign me up!

After developing this amazing technology, obviously I immediately filed for a patent....after an extensive patent search, low and behold, it turns out that Fraunhofer-Gesellschaft owns an obscure patent to this exact technology...darn it, and I was SO EXCITED!

Why name a lossless compression technology "Monkey's Audio"?

Well…who doesn't love monkeys?


Comparison by Efficiency

Comparison
The following table compares the performance of most of the popular lossless compressors.

Sort by Efficiency | Sort by Compression | Sort by Speed

Compressor | Efficiency* | Time for Album (650 MB) | Compression: Size of Album (650 MB) / % | Playing
Monkey's Audio 3.86b1 (high) | 208.5 | 2.2 min | 367.1 MB / 56.5% | Winamp (with seeking); <1% CPU
Monkey’s Audio 3.86b1 (normal) | 206.9 | 1.8 min | 373.3 MB / 57.4% | Winamp (with seeking); <1% CPU
Monkey’s Audio 3.86b1 (fast) | 200.2 | 1.4 min | 385.7 MB / 59.3% | Winamp (with seeking); <1% CPU
Monkey's Audio 3.86b1 (extra high) | 199.3 | 6.7 min | 360.0 MB / 55.4% | Winamp (with seeking); <3% CPU
Perfect Clarity Audio (Siren Jukebox 2.0) | 195.5 | 3.0 min | 379.5 MB / 58.4% | Siren Jukebox only; 3% - 4% CPU
WavPack 3.6 (high) | 194.0 | 2.6 min | 383.8 MB / 59.1% | Winamp (with seeking); <1% CPU
RKAU 1.07 (fast) | 191.1 | 9.2 min | 366.4 MB / 56.4% | Winamp (with seeking); 8% - 10% CPU
LPAC 3.01 (extra high – not random access) | 190.8 | 9.6 min | 366.1 MB / 56.3% | Winamp (with seeking); ~1% CPU
Shorten | 188.1 | 1.9 min | 397.0 MB / 61.1% | Winamp (can't seek); <1% CPU
FLAC 0.7 (default) | 188.0 | 6.2 min | 378.0 MB / 58.2% | Winamp (not functional on test machine)
WavArc 1.1 (-c1) | 187.0 | 2.3 min | 395.6 MB / 60.9% | Can’t play
LPAC 1.01 (fast) | 185.2 | 2.3 min | 397.9 MB / 61.2% | Winamp (with seeking); <1% CPU
LPAC 3.01 (fast – not random access) | 184.9 | 2.4 min | 397.6 MB / 61.2% | Winamp (with seeking); <1% CPU
WavPack 3.6 (normal) | 184.4 | 2.1 min | 400.3 MB / 61.6% | Winamp (with seeking); <1% CPU
RKAU 1.07 (normal) | 183.5 | 17.4 min | 366.8 MB / 56.4% | Winamp (with seeking); 9% - 11% CPU
WavPack 3.6 (fast) | 179.8 | 2.0 min | 407.6 MB / 62.7% | Winamp (with seeking); <1% CPU
WaveZIP 2.01 | 176.8 | 2.4 min | 408.9 MB / 62.9% | Can’t play
RKAU 1.07 (high) | 172.3 | 43.5 min | 368.2 MB / 56.7% | Winamp (with seeking); 11% - 13% CPU
WavArc 1.1 (-c5) | 167.7 | 61.7 min | 369.8 MB / 56.9% | Can’t play
RAR (Winrar 2.70, max with “–mm”) | 150.3 | 11.4 min | 424.0 MB / 65.2% | Can’t play
ZIP (Winrar 2.70, max) | 34.1 | 5.9 min | 600.7 MB / 92.4% | Can’t play

All tests were run on a 850 Celeron II (566 overclocked) with 128mb of ram under Windows 2000.

Results based on a sample of 3 songs representing a wide spectrum of music:

  • Jim Brickman - Secret Love (soft piano music) (4:03)
  • Megadeth – Symphony of Destruction (hard rock) (4:02)
  • Jewel – Hands (soft rock) (3:55)

* Efficiency tries to evaluate the trade-off between speed and compression. The idea is to analyze how much "bang" you get for the time you wait while compressing. If you wait a long time but don't get good compression, that's poor efficiency. If it goes super fast, but you don't get hardly any compression, that's bad efficiency too. The idea is to try to strike a good balance between speed and compression. Obviously, rating efficiency is somewhat subjective because it depends on how long you're willing to wait for extra space savings... hopefully you'll agree that this equation is at least somewhat fair. (Mathematically, efficiency can be described: [Efficiency] = ([MB Saved]16 / [Seconds])(1/16) )

If you have any questions, suggestions, comments, or bug reports you can contact the author at email@monkeysaudio.com


Monkey

Monkey’s Audio License Agreement

  1. Monkey's Audio is completely free for personal or educational use.

  2. Although the software has been tested thoroughly, the author is in no way responsible for damages due to bugs or misuse.

  3. The use Monkey’s Audio or any component thereof from another program requires express written permission from the author of Monkey’s Audio.

  4. The use of Monkey's Audio for any commercial purposes including, but not limited to, implementation in shareware packages is strictly prohibited without first obtaining written permission from the author.

  5. Installing and using Monkey's Audio signifies the acceptance of these terms. If you do not agree with any of the above terms, you must cease using Monkey's Audio and remove it from your storage device.

All rights not expressly granted here are reserved by Matthew T. Ashland.

- All materials and programs copyrighted ©2000-2001 by Matthew T. Ashland -
- All rights reserved. -


Comparison by Compression

Comparison
The following table compares the performance of most of the popular lossless compressors.

Sort by Efficiency | Sort by Compression | Sort by Speed

Compressor | Efficiency* | Time for Album (650 MB) | Compression: Size of Album (650 MB) / % | Playing
Monkey's Audio 3.86b1 (extra high) | 199.3 | 6.7 min | 360.0 MB / 55.4% | Winamp (with seeking); <3% CPU
LPAC 3.01 (extra high – not random access) | 190.8 | 9.6 min | 366.1 MB / 56.3% | Winamp (with seeking); ~1% CPU
RKAU 1.07 (fast) | 191.1 | 9.2 min | 366.4 MB / 56.4% | Winamp (with seeking); 8% - 10% CPU
RKAU 1.07 (normal) | 183.5 | 17.4 min | 366.8 MB / 56.4% | Winamp (with seeking); 9% - 11% CPU
Monkey's Audio 3.86b1 (high) | 208.5 | 2.2 min | 367.1 MB / 56.5% | Winamp (with seeking); <1% CPU
RKAU 1.07 (high) | 172.3 | 43.5 min | 368.2 MB / 56.7% | Winamp (with seeking); 11% - 13% CPU
WavArc 1.1 (-c5) | 167.7 | 61.7 min | 369.8 MB / 56.9% | Can’t play
Monkey’s Audio 3.86b1 (normal) | 206.9 | 1.8 min | 373.3 MB / 57.4% | Winamp (with seeking); <1% CPU
FLAC 0.7 (default) | 188.0 | 6.2 min | 378.0 MB / 58.2% | Winamp (not functional on test machine)
Perfect Clarity Audio (Siren Jukebox 2.0) | 195.5 | 3.0 min | 379.5 MB / 58.4% | Siren Jukebox only; 3% - 4% CPU
WavPack 3.6 (high) | 194.0 | 2.6 min | 383.8 MB / 59.1% | Winamp (with seeking); <1% CPU
Monkey’s Audio 3.86b1 (fast) | 200.2 | 1.4 min | 385.7 MB / 59.3% | Winamp (with seeking); <1% CPU
WavArc 1.1 (-c1) | 187.0 | 2.3 min | 395.6 MB / 60.9% | Can’t play
Shorten | 188.1 | 1.9 min | 397.0 MB / 61.1% | Winamp (can't seek); <1% CPU
LPAC 3.01 (fast – not random access) | 184.9 | 2.4 min | 397.6 MB / 61.2% | Winamp (with seeking); <1% CPU
LPAC 1.01 (fast) | 185.2 | 2.3 min | 397.9 MB / 61.2% | Winamp (with seeking); <1% CPU
WavPack 3.6 (normal) | 184.4 | 2.1 min | 400.3 MB / 61.6% | Winamp (with seeking); <1% CPU
WavPack 3.6 (fast) | 179.8 | 2.0 min | 407.6 MB / 62.7% | Winamp (with seeking); <1% CPU
WaveZIP 2.01 | 176.8 | 2.4 min | 408.9 MB / 62.9% | Can’t play
RAR (Winrar 2.70, max with “–mm”) | 150.3 | 11.4 min | 424.0 MB / 65.2% | Can’t play
ZIP (Winrar 2.70, max) | 34.1 | 5.9 min | 600.7 MB / 92.4% | Can’t play

All tests were run on a 850 Celeron II (566 overclocked) with 128mb of ram under Windows 2000.

Results based on a sample of 3 songs representing a wide spectrum of music:

  • Jim Brickman - Secret Love (soft piano music) (4:03)
  • Megadeth – Symphony of Destruction (hard rock) (4:02)
  • Jewel – Hands (soft rock) (3:55)

* Efficiency tries to evaluate the trade-off between speed and compression. The idea is to analyze how much "bang" you get for the time you wait while compressing. If you wait a long time but don't get good compression, that's poor efficiency. If it goes super fast, but you don't get hardly any compression, that's bad efficiency too. The idea is to try to strike a good balance between speed and compression. Obviously, rating efficiency is somewhat subjective because it depends on how long you're willing to wait for extra space savings... hopefully you'll agree that this equation is at least somewhat fair. (Mathematically, efficiency can be described: [Efficiency] = ([MB Saved]16 / [Seconds])(1/16) )

If you have any questions, suggestions, comments, or bug reports you can contact the author at email@monkeysaudio.com


Monkey's Audio - a fast and powerful lossless audio compressor

Comparison
The following table compares the performance of most of the popular lossless compressors.

Sort by Efficiency | Sort by Compression | Sort by Speed

Compressor | Efficiency* | Time for Album (650 MB) | Compression: Size of Album (650 MB) / % | Playing
Monkey’s Audio 3.86b1 (fast) | 200.2 | 1.4 min | 385.7 MB / 59.3% | Winamp (with seeking); <1% CPU
Monkey’s Audio 3.86b1 (normal) | 206.9 | 1.8 min | 373.3 MB / 57.4% | Winamp (with seeking); <1% CPU
Shorten | 188.1 | 1.9 min | 397.0 MB / 61.1% | Winamp (can't seek); <1% CPU
WavPack 3.6 (fast) | 179.8 | 2.0 min | 407.6 MB / 62.7% | Winamp (with seeking); <1% CPU
WavPack 3.6 (normal) | 184.4 | 2.1 min | 400.3 MB / 61.6% | Winamp (with seeking); <1% CPU
Monkey's Audio 3.86b1 (high) | 208.5 | 2.2 min | 367.1 MB / 56.5% | Winamp (with seeking); <1% CPU
WavArc 1.1 (-c1) | 187.0 | 2.3 min | 395.6 MB / 60.9% | Can’t play
LPAC 1.01 (fast) | 185.2 | 2.3 min | 397.9 MB / 61.2% | Winamp (with seeking); <1% CPU
LPAC 3.01 (fast – not random access) | 184.9 | 2.4 min | 397.6 MB / 61.2% | Winamp (with seeking); <1% CPU
WaveZIP 2.01 | 176.8 | 2.4 min | 408.9 MB / 62.9% | Can’t play
WavPack 3.6 (high) | 194.0 | 2.6 min | 383.8 MB / 59.1% | Winamp (with seeking); <1% CPU
Perfect Clarity Audio (Siren Jukebox 2.0) | 195.5 | 3.0 min | 379.5 MB / 58.4% | Siren Jukebox only; 3% - 4% CPU
ZIP (Winrar 2.70, max) | 34.1 | 5.9 min | 600.7 MB / 92.4% | Can’t play
FLAC 0.7 (default) | 188.0 | 6.2 min | 378.0 MB / 58.2% | Winamp (not functional on test machine)
Monkey's Audio 3.86b1 (extra high) | 199.3 | 6.7 min | 360.0 MB / 55.4% | Winamp (with seeking); <3% CPU
RKAU 1.07 (fast) | 191.1 | 9.2 min | 366.4 MB / 56.4% | Winamp (with seeking); 8% - 10% CPU
LPAC 3.01 (extra high – not random access) | 190.8 | 9.6 min | 366.1 MB / 56.3% | Winamp (with seeking); ~1% CPU
RAR (Winrar 2.70, max with “–mm”) | 150.3 | 11.4 min | 424.0 MB / 65.2% | Can’t play
RKAU 1.07 (normal) | 183.5 | 17.4 min | 366.8 MB / 56.4% | Winamp (with seeking); 9% - 11% CPU
RKAU 1.07 (high) | 172.3 | 43.5 min | 368.2 MB / 56.7% | Winamp (with seeking); 11% - 13% CPU
WavArc 1.1 (-c5) | 167.7 | 61.7 min | 369.8 MB / 56.9% | Can’t play

All tests were run on a 850 Celeron II (566 overclocked) with 128mb of ram under Windows 2000.

Results based on a sample of 3 songs representing a wide spectrum of music:

  • Jim Brickman - Secret Love (soft piano music) (4:03)
  • Megadeth – Symphony of Destruction (hard rock) (4:02)
  • Jewel – Hands (soft rock) (3:55)

* Efficiency tries to evaluate the trade-off between speed and compression. The idea is to analyze how much "bang" you get for the time you wait while compressing. If you wait a long time but don't get good compression, that's poor efficiency. If it goes super fast, but you don't get hardly any compression, that's bad efficiency too. The idea is to try to strike a good balance between speed and compression. Obviously, rating efficiency is somewhat subjective because it depends on how long you're willing to wait for extra space savings... hopefully you'll agree that this equation is at least somewhat fair. (Mathematically, efficiency can be described: [Efficiency] = ([MB Saved]16 / [Seconds])(1/16) )

If you have any questions, suggestions, comments, or bug reports you can contact the author at email@monkeysaudio.com


Monkey Audio Interface Reference - Add Files

Add Files Monkey's Audio

Add Files/Folder

 Add Folder

Function

 Add Files can add any number of files from one directory to the filelist. Add Folder lets you pick one directory and will recurse in to its subdirectories as well and pick up all files of the currently usable filetypes(see below).
The options for Add Folder let you switch off scanning of subdirectories. If Add All Supported Types is not checked , Monkey Audio will only convert or decompress Monkey Audio files, which are files with the extension ".ape".

File Types
( Mode: Compress )

 8,16 or 24 bit PCM WAV
1 or 2 channels
any sample frequency

File Types
( Modes: Decompress & Convert)

 .ape (Monkey's Audio), .shn (Shorten), .wv (Wavpack), .rka (Rkau), .mp3, .mp+ (Mp+ decoder) & .ogg (Ogg decoder)

File Types
( Mode: Verify)

 .ape (Monkey's Audio)

File Types
( Mode: Tag & Remove Tag)

 .ape (Monkey's Audio) & .mp3


Monkey Audio Interface Reference - Fileinfo

Fileinfo Monkey's Audio

Fileinfo

 Fileinfo

Function

 Display information on selected file in the filelist
Note: This function is also available via the shell extensions, which can be installed from the General options
.ape (Monkey Audio compressed)

- Version of Monkey Audio compressor
- Compression Mode
- Format Flags (ask Matt)
- Tagged or not

- Sample Rate in Hz (e.g.44100,48000,...)
- Channels(number of)
- Bits Per Sample(8,16 or 24)
- Peak Level

- Length in minutes:seconds
- File Size in MB
- Compression ratio

.wav (Windows Audio files)

- File Size
- Length in minutes:seconds
- Audio Bytes (number of)
- Header Bytes
- Terminating Bytes

- Sample Rate in Hz (e.g.44100,48000,...)
- Channels (number of)
- Bits per Sample

Note: Header and Terminating Bytes refer to data chunks that hold all kinds of information.Soundforge for example saves region and playlists in the WAV file in data chunks, as well as optional information blocks ranging from author information to comments. Protools(Free) saves an extra data chunk there too.


Monkey Audio Interface Reference - Remove/Clear Files

Remove Files Monkey's Audio

Remove/Clear Files

 Clear Files

Function

 Remove Files simply deletes the selected entries in the filelist. Filelist entries can be selected in the usual fashion with the left mouse button by clicking, SHIFT+clicking(range selection) and CTRL+clicking on the filelist entries. Instead of hitting the function button you can also press the delete key to remove entries.
Clear files deletes all entries. Press CTRL+A to select all entries, then the delete key to perform the same action with the keyboard.


Monkey Audio Interface Tutorial - The Button Bar

What do the buttons do?

Working Mode - You say, Monkey does Compression Modes - Crunch 'em like that Files - Give me more Files - Give lots more to do Files - Don't do those Files - Clear the banana bin Files - Playlength, filesize, bit resolution, number of channels Options - To peel or not to peel Help - You found it

A quick run down of the buttons

For a more detailed description, check out the interface reference on the main page or click on the graphics to warp to the relevant page.

Working Mode - You say, Monkey does | Tells Monkey Audio what to do, hence sets the working mode. You've got a choice between Compress, Decompress, Verify, Convert, Tag and Remove Tag. The working modes can also be set via keyboard shortcuts.
Compression Modes - Crunch 'em like that | Tells Monkey Audio how to compress stuff, if it's supposed to do that. The working modes Decompress, Verify, Tag and Remove Tag will grey out this button because you're not compressing anything in those working modes.
Add Files - Give me more | Add file to the list of files, that Monkey Audio is supposed to work on. The working mode Compress lets you add files with the extension .WAV. The other working modes let you add compressed files to the filelist.
Add Folder | Add complete directories to the filelist. Again, the working mode dictates the kind of files that can be added here. Monkey Audio will recurse in to the chosen directory and add all files as well as all files in subdirectories to the filelist.
Remove Files | Removes highlighted filelist entries. You can select multiple files by holding down the CONTROL key during selection with the mouse. Select a range of filelist entries by holding down the SHIFT key during selection with the mouse or keyboard. Careful! No undo or Do you realy want to do this? dialog.
Clear Files | Clear the entire filelist. Blank slate. Careful! No undo or Do you realy want to do this? dialog.
File Info | Displays all sorts of information about the highlighted file. This includes an ID3 tag for mp3 and APE files.
Options | Access the options of Monkey Audio. They are grouped in to four sections. General, View, Output and Tagging.
Help - You found it | Link to this file, several of the Monkey Audio webpages as well as some other webpages.


Monkey Audio Interface Tutorial - Compressing one WAV page 2

Page 1 Page 2 Page 3 Page 4
Compress

Compressing one WAV file with Monkey Audio - page 2/4

 Compress

2. Select the mode and pick a file

The interface has a row of buttons in the top part of the interface.

Click on Mode. As our filelist area is still empty, the interface pops up a dropdown list of things beneath this button.

It'll look like this : Modes As you can see, there's lots of stuff we can do here. Select Compress. Don't worry about the other options. We will explain them later.The mode you've chosen will be displayed with an icon and text on that button, so you'll always know what Monkey Audio is up to.

We have just set the working mode of Monkey Audio. Actualy this is quite important, because it determines what files you are allowed to have Monkey Audio work with. Had we chosen Decompress, Monkey Audio would expect compressed files and would prevent us from selecting normal WAV files with the Add Files function, which is what we're going to do now.

Click on Add Files to bring up a normal file dialog. Select a file you wish to compress. Monkey Audio will show you only files that it can process in the working mode you selected above. For Compress these are WAV files.

The file you have by now hopefully selected appears in the big filelist area, where original path and filename are displayed, as well as its size in MB(megabytes). The other information areas are empty right now.

go to the next page

Page 1 Page 2 Page 3 Page 4


Monkey Audio Interface Tutorial - Compressing one WAV page 3

Page 1 Page 2 Page 3 Page 4
Compress

Compressing one WAV file with Monkey Audio - page 3/4

 Compress

3. Where does my file go ?

You can tell Monkey Audio where to put the compressed file in the Options. Click on Options to check 'em out.

You'll probably see this :

We'd like to check out the Output options. So without pause, turn your attention to the left side of the window whack the third icon from the top. 		General Options

You should see this :

The round buttons indicate that you can only choose one option and none of the others. The checkbox indicates a yes/no choice for that option. 		Output Options

You should now select "Output to the same directory as source files" for the Output Location option and "Leave Source File(s) intact" for the After Successuful Operation option. You'll be able to compare the original WAV to the compressed file easily. The options are pretty straight forward.

go to the next page

Page 1 Page 2 Page 3 Page 4


Monkey Audio Interface Tutorial - Compressing one WAV page 4

Page 1 Page 2 Page 3 Page 4
Compress

Compressing one WAV file with Monkey Audio - page 4/4

 Compress

4. What're you gonna do to my file ?

Nothing actualy. The original file won't get touched, if you've made the right choices in the Options. A new file will be written. What type of file will this be ? Good question. Check out button next the Mode button, or second from the left if that suits you. Here Monkey Audio displays what compression mode it'll use on your file to produce the new file.

Monkey Audio has lots and lots of different compression modes. For now, click on Compression Mode.

It'll expand in to : Compression Mode Select the High mode, if it isn't already selected. The external compressors are accessible here too, but you can safley ignore them for now and pick Monkey Audio's top world class algorhythems. Just so you know, Monkey Audio supports three more lossless and four lossy compressors via the external menu.

5. Fire away

You have told Monkey Audio to Compress, chosen a file to be compressed, asked Monkey Audio to place the result in the directory where your original WAV file is and set the compression mode. Monkey Audio will remember all these settings, even the filelist if you want it to(see Genral Options). You won't have to go through all those options again if you don't want them changed next time.

Now click on the Mode button, which should be showing a smiling monkey head and have "Compress" written underneath it. Whenever you've got something in that filelist, clicking on the Mode button will start the processing. Should you want to change the Mode, click on that little black downward arrow to the right of the button to bring up the dropdown list of working modes for Monkey Audio.

Nice as Monkey Audio is, it will remind you that you might loose your filelist if you change working modes now. This happens for example when you change from Compress to Decompress. You can't decompress a normal WAV file after all.

You've hit the button. Watched the numbers change with amazing speed. That's it. You've compressed your first WAV file with Monkey Audio. The new file has the same name and has the extension .APE . You can play this file with Winamp, if you chose to install the plugin and in fact have Winamp installed.

You can also drag-and-drop one or as many files as you like in to the filelist area of Monkey Audio. They will be added to the file list. You can even add complete directories by dragging a folder in to Monkey Audio. It'll search through all subdirectories for files it can compress and add them to the list. And don't worry if you drop something different than WAV files in to Monkey Audio in the Compress working mode. Monkey Audio will pick up all the WAV files and forget about the rest.

check out the Decompression Tutorial.

Page 1 Page 2 Page 3 Page 4


Monkey Audio Interface Tutorial - Decompressing stuff p.2

Page 1 Page 2
Decompress

Decompressing stuff with Monkey Audio - page 1/2

 Decompress

2. Fire Away

Now simply hit the Mode button and Monkey Audio will get to work.

In this case the Mode button should be showing Mode set to Decompress

Remember, if you'd like to change the working mode, click on the little black downward arrow next to the mode button or use the standard menu Mode/ at the top of the window.

What this amounts to is that the interface never changes. All that changes is a working mode and perhaps your compression mode. Apart from that all you'll be doing is dropping files in to the Monkey Audio window and hitting the Mode button.

Page 1 Page 2


Monkey Audio Interface Tutorial - Converting stuff - page 2

Page 1 Page 2
Convert

Converting stuff with Monkey Audio - page 2/2

 Convert

2. Hit it

Now you do all the usual. You pick the files you'd like to convert. Remember to add any non-APE files via the Add Files button or menu item. Then check your output options and if everything is to your satisfaction, hit the Mode button and watch Monkey Audio work.

If you're converting a file that was compressed with one of the external compressors, you'll need that same compressor to decompress it. So make shure you have the compressor in your installdir/external directory.

Most people just use this to convert from one Monkey Audio compression mode to another. It's useful for MP3 encoding too, but the options for Lame are not well presented, not at all actualy, since you have to enter the command line options yourself.

I realy suggest you read the LAME documentation for this. Or check out Razorlame, a very good frontend for LAME that will display the commandline options it uses for LAME. Just copy/paste those options in to the configuration box for LAME in Monkey Audio and you're set.

Here are some example commandline options for LAME :
Very high Quality Stereo | -b 128 -m s -h -c -V 1 -B 320
High Quality Stereo | -b 96 -m s -h -c -V 4 -B 256
Good Quality Joint Stereo | -b 96 -m j -h -c -V 5 -B 192
Low Quality Mono Voice | -b 24 -m m -h -c -V 7 -B 32 --resample 22.05 --lowpass 11

go back to the main page

Page 1 Page 2